summaryrefslogtreecommitdiff
path: root/oh-my-zsh/plugins/torrent/torrent.plugin.zsh
diff options
context:
space:
mode:
authorAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
committerAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
commitedc449275b6c04445f58b108ca0937a87c1e8430 (patch)
tree9fd484d58145b616f29a78857cc0b1c8b1c18f05 /oh-my-zsh/plugins/torrent/torrent.plugin.zsh
parent6f5424ca96c4221ef433f545642669e9c104d0ed (diff)
add zsh
Diffstat (limited to 'oh-my-zsh/plugins/torrent/torrent.plugin.zsh')
-rw-r--r--oh-my-zsh/plugins/torrent/torrent.plugin.zsh17
1 files changed, 17 insertions, 0 deletions
diff --git a/oh-my-zsh/plugins/torrent/torrent.plugin.zsh b/oh-my-zsh/plugins/torrent/torrent.plugin.zsh
new file mode 100644
index 0000000..656e337
--- /dev/null
+++ b/oh-my-zsh/plugins/torrent/torrent.plugin.zsh
@@ -0,0 +1,17 @@
+#
+# Algorithm borrowed from http://wiki.rtorrent.org/MagnetUri and adapted to work with zsh.
+#
+
+function magnet_to_torrent() {
+ [[ "$1" =~ xt=urn:btih:([^\&/]+) ]] || return 1
+
+ hashh=${match[1]}
+
+ if [[ "$1" =~ dn=([^\&/]+) ]];then
+ filename=${match[1]}
+ else
+ filename=$hashh
+ fi
+
+ echo "d10:magnet-uri${#1}:${1}e" > "$filename.torrent"
+} \ No newline at end of file